NavigationHistory.prototype.canRedo = function () { 
    return (this._historyItems.length > 0) && (this._currentPos < this._historyItems.length - 1);
};

NavigationHistory.prototype.redo = function () {
    if (this._historyItems.length > 0 && this._currentPos < this._historyItems.length - 1) {
        this.moveToPosition(this._currentPos+1);
    }
};